#!/bin/bash

tag=v0.2.0

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)

pushd "$tmp"
git clone git://github.com/jaredhanson/chai-passport-strategy.git
cd chai-passport-strategy
git archive --prefix="test/" --format=tar tags/${tag}:test/ \
    | bzip2 > "$pwd"/chai-passport-strategy-tests-${tag}.tar.bz2
popd
